######################################################################
# datTank_cy_recl.cs
# Cybrid Recluse
#
######################################################################

#                 Identity_Tag        Abbreviation     Shape             Mass            MaxMass                 RCS            Tech_Level   Combat_Value
tankBase(         IDVEH_CY_RECL,      "RECL",          "cy_recl.dts",              8.00 ,                 40.00 ,         0.65 ,          2 ,    1720);

#                 maxPosAcc           minPosVel        maxForPosVel      maxRevPosVel    (all_m/s)
tankPos(                       20.00 ,           3.00 ,           32.00 ,          -27.20);

#                 minRotVel           maxRVSlow        maxRVFast         maxRVTurret     (all_deg/s)
tankRot(                        2.00 ,          75.00 ,           35.00 ,           45.00);

#                 offsetX             offsetY          offsetZ
tankCpit(         0.0,                0.5,                              0);

#                 sphOffstX           sphOffstY        sphOffstZ         sphereRad
tankColl(         0.0,                0.0,             2.9,                             3);

#                 TreadAnim_Rot_Coeff Tread_Anim_Pos_Coeff
tankAnim(         2.0,                              0.5);

#                 engine_sound_tag    has_thrusters
tankSound(        IDSFX_TANK_ENGINE_1,      TRUE       );

#                 fireBayesNetName
tankAI(           "tankFire.ai",       "targetPart.ai","tankManeuver.ai","tankRetreat.ai");

#                                     Hard Points
#                                     (sizes:SMLX      sides:TBLR)       Dmg             Offset_fm_Node                                      X_rot_rnge    Z_rot_rnge
#                 id                  size             side              Prnt            X___                    Y___           Z___         min__   max_  min__           max__
newHardPoint(     0,                  M,               T,                TopPodA,        0.0,                    -2.0,          1.2,         -25.0,  60.0, -60.0,          60);
HardPointDamage(                  3000);
newHardPoint(     1,                  L,               R,                TopPodA,        1.0,                   1.0,           0.0,         -15.0,  40.0 ,-60.0,          60);
newHardPoint(     2,                  L,               L,                TopPodA,        -1.0,                  1.0,           0.0,         -15.0,  40.0 ,-60.0,          60);

#                 id                  size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,                  M,               Body,             Engine);
newMountPoint(    1,                  M,               Body,             Reactor);
newMountPoint(    2,                  S,               TankHead,         Computer);
newMountPoint(    3,                  L,               none,             Armor);
newMountPoint(    4,                  S,               TankHead,         Sensors);
newMountPoint(    5,                  M,               TankHead,         ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,ammoPack          );
newMountPoint(    6,                  M,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,ammoPack          );
newMountPoint(    7,                  L,               Body,             ECM,            ThermalDiffuser,        LaserTargeting,NanoRepair,  Battery,Cloak,FieldStabilizer,
                                                                         LifeSupport,    Capacitor,              AgravGenerator,TurbineBoost,RocketBooster,ammoPack          );
#                 Internal            Components
#                 id                  type             parent            max_dmg         identity_tag
newComponent(     Armor,              Armor,           none,                       8000 ,IDCOM_ARMOR             );
newComponent(     LeftServos,         LeftServos,      none,                        500 ,IDCOM_LEFT_TREAD_SERVOS );
newComponent(     RightServos,        RightServos,     none,                        500 ,IDCOM_RIGHT_TREAD_SERVOS);

#                 External            Components
#                 id                  type             parent            max_dmg         identity_tag            total interals          6000
newComponent(     Body,               Body,            none,                       1200 ,IDCOM_BODY              );                    # 0.20
newComponent(     TankHead,           TankHead,        Body,                       1200 ,IDCOM_HEAD              );                    # 0.20
newComponent(     TopPodA,            TopPodA,         TankHead,                   1200 ,IDCOM_HEAD              );                    # 0.20
newComponent(     LeftTread,          LeftTread,       Body,                       1200 ,IDCOM_LEFT_TREAD        );                    # 0.20
newComponent(     RightTread,         RightTread,      Body,                       1200 ,IDCOM_RIGHT_TREAD       );                    # 0.20
newComponent(     Pilot,              Pilot,           none,                        300 ,IDCOM_PILOT             );
#                                     (totals)                                       6000

#                 Distribution        of               internal          components      among                   external       components
#                 containee           container        percent/100
newConfiguration( Armor,              Body,                           0.2);                                # 1600
newConfiguration( Armor,              TopPodA,                        0.2);                                # 1600
newConfiguration( Armor,              TankHead,                       0.2);                                # 1600
newConfiguration( Armor,              LeftTread,                      0.2);                                # 1600
newConfiguration( Armor,              RightTread,                     0.2);                                # 1600
#                 -----
#                                                                    1.00

newConfiguration( LeftServos,         LeftTread,                     1.00);
newConfiguration( RightServos,        RightTread,                    1.00);

// Medium Weapon 1
%temp1 = randomInt(1, 1000);  
if(%temp1 > 0 && %temp1 < 40) %weapon1 = 101;  // Laser
if(%temp1 >= 35 && %temp1 < 80) %weapon1 = 102;  // Heavy Laser
if(%temp1 >= 70 && %temp1 < 120) %weapon1 = 103;  // Compression Laser
if(%temp1 >= 120 && %temp1 < 160) %weapon1 = 104;  // Twin Laser
if(%temp1 >= 160 && %temp1 < 200) %weapon1 = 105;  // EMP
if(%temp1 >= 200 && %temp1 < 240) %weapon1 = 106;  // ELF
if(%temp1 >= 240 && %temp1 < 280) %weapon1 = 107;  // Blaster
if(%temp1 >= 280 && %temp1 < 320) %weapon1 = 111;  // Blink Gun
if(%temp1 >= 320 && %temp1 < 360) %weapon1 = 114;  // Nano-infuser
if(%temp1 >= 360 && %temp1 < 400) %weapon1 = 115;  // Nanite Cannon
if(%temp1 >= 400 && %temp1 < 440) %weapon1 = 116;  // ATC
if(%temp1 >= 440 && %temp1 < 480) %weapon1 = 117;  // HATC
if(%temp1 >= 480 && %temp1 < 520) %weapon1 = 118;  // EMATC
if(%temp1 >= 520 && %temp1 < 560) %weapon1 = 124;  // Pit Viper 8
if(%temp1 >= 560 && %temp1 < 600) %weapon1 = 125;  // Pit Viper 12
if(%temp1 >= 600 && %temp1 < 640) %weapon1 = 126;  // Sparrow 6
if(%temp1 >= 640 && %temp1 < 680) %weapon1 = 127;  // Sparrow 10
if(%temp1 >= 680 && %temp1 < 720) %weapon1 = 128;  // Swarm 6
if(%temp1 >= 720 && %temp1 < 760) %weapon1 = 129;  // Minion
if(%temp1 >= 760 && %temp1 < 800) %weapon1 = 130;  // Shrike 8
if(%temp1 >= 800 && %temp1 < 840) %weapon1 = 131;  // Arachnitron 4
if(%temp1 >= 840 && %temp1 < 880) %weapon1 = 132;  // Arachnitron 8
if(%temp1 >= 880 && %temp1 < 920) %weapon1 = 134;  // HHG 6
if(%temp1 >= 920 && %temp1 < 960) %weapon1 = 135;  // HHG 10
if(%temp1 >= 960 && %temp1 < 980) %weapon1 = 142;  // Rad Gun
if(%temp1 >= 980 && %temp1 < 995) %weapon1 = 147;  // Aphid
if(%temp1 >= 995 && %temp1 <= 1000) %weapon1 = 150;  // Smart Gun

// Large Weapon 2
%temp1 = randomInt(1, 5);
if(%temp1 == 1) %weapon2 = %weapon1;
else 
{
  %temp1 = randomInt(1, 1000);
  if(%temp1 > 0 && %temp1 < 30) %weapon2 = 101;  // Laser
  if(%temp1 >= 30 && %temp1 < 60) %weapon2 = 102;  // Heavy Laser
  if(%temp1 >= 60 && %temp1 < 90) %weapon2 = 103;  // Compression Laser
  if(%temp1 >= 90 && %temp1 < 120) %weapon2 = 104;  // Twin Laser
  if(%temp1 >= 120 && %temp1 < 150) %weapon2 = 105;  // EMP
  if(%temp1 >= 150 && %temp1 < 180) %weapon2 = 106;  // ELF
  if(%temp1 >= 180 && %temp1 < 210) %weapon2 = 107;  // Blaster
  if(%temp1 >= 210 && %temp1 < 240) %weapon2 = 108;  // Heavy Blaster
  if(%temp1 >= 240 && %temp1 < 270) %weapon2 = 109;  // PBW
  if(%temp1 >= 270 && %temp1 < 300) %weapon2 = 110;  // Plasma Cannon
  if(%temp1 >= 300 && %temp1 < 330) %weapon2 = 111;  // Blink Gun
  if(%temp1 >= 330 && %temp1 < 360) %weapon2 = 114;  // Nano-infuser
  if(%temp1 >= 360 && %temp1 < 390) %weapon2 = 115;  // Nanite Cannon
  if(%temp1 >= 390 && %temp1 < 420) %weapon2 = 116;  // ATC
  if(%temp1 >= 420 && %temp1 < 450) %weapon2 = 117;  // HATC
  if(%temp1 >= 450 && %temp1 < 480) %weapon2 = 118;  // EMATC
  if(%temp1 >= 480 && %temp1 < 510) %weapon2 = 119;  // Blast Cannon
  if(%temp1 >= 510 && %temp1 < 540) %weapon2 = 121;  // Rail Gun
  if(%temp1 >= 540 && %temp1 < 570) %weapon2 = 124;  // Pit Viper 8
  if(%temp1 >= 570 && %temp1 < 600) %weapon2 = 125;  // Pit Viper 12
  if(%temp1 >= 600 && %temp1 < 630) %weapon2 = 126;  // Sparrow 6
  if(%temp1 >= 630 && %temp1 < 660) %weapon2 = 127;  // Sparrow 10
  if(%temp1 >= 660 && %temp1 < 690) %weapon2 = 128;  // Swarm 6
  if(%temp1 >= 690 && %temp1 < 720) %weapon2 = 129;  // Minion
  if(%temp1 >= 720 && %temp1 < 750) %weapon2 = 130;  // Shrike 8
  if(%temp1 >= 750 && %temp1 < 780) %weapon2 = 131;  // Arachnitron 4
  if(%temp1 >= 780 && %temp1 < 810) %weapon2 = 132;  // Arachnitron 8
  if(%temp1 >= 810 && %temp1 < 840) %weapon2 = 133;  // Arachnitron 12
  if(%temp1 >= 840 && %temp1 < 870) %weapon2 = 134;  // HHG 6
  if(%temp1 >= 870 && %temp1 < 900) %weapon2 = 135;  // HHG 10
  if(%temp1 >= 900 && %temp1 < 930) %weapon2 = 136;  // Proximity Mine 15
  if(%temp1 >= 930 && %temp1 < 960) %weapon2 = 142;  // Rad Gun
  if(%temp1 >= 960 && %temp1 < 990) %weapon2 = 147;  // Aphid
  if(%temp1 >= 990 && %temp1 < 995) %weapon2 = 147;  // Smart Gun
  if(%temp1 >= 995 && %temp1 <= 1000) %weapon2 = 150;  // None
}

// Large Weapon 3
%temp1 = randomInt(1, 2);
if(%temp1 == 1) %weapon3 = %weapon2;
else 
{
  %temp1 = randomInt(1, 1000);
  if(%temp1 > 0 && %temp1 < 30) %weapon3 = 101;  // Laser
  if(%temp1 >= 30 && %temp1 < 60) %weapon3 = 102;  // Heavy Laser
  if(%temp1 >= 60 && %temp1 < 90) %weapon3 = 103;  // Compression Laser
  if(%temp1 >= 90 && %temp1 < 120) %weapon3 = 104;  // Twin Laser
  if(%temp1 >= 120 && %temp1 < 150) %weapon3 = 105;  // EMP
  if(%temp1 >= 150 && %temp1 < 180) %weapon3 = 106;  // ELF
  if(%temp1 >= 180 && %temp1 < 210) %weapon3 = 107;  // Blaster
  if(%temp1 >= 210 && %temp1 < 240) %weapon3 = 108;  // Heavy Blaster
  if(%temp1 >= 240 && %temp1 < 270) %weapon3 = 109;  // PBW
  if(%temp1 >= 270 && %temp1 < 300) %weapon3 = 110;  // Plasma Cannon
  if(%temp1 >= 300 && %temp1 < 330) %weapon3 = 111;  // Blink Gun
  if(%temp1 >= 330 && %temp1 < 360) %weapon3 = 114;  // Nano-infuser
  if(%temp1 >= 360 && %temp1 < 390) %weapon3 = 115;  // Nanite Cannon
  if(%temp1 >= 390 && %temp1 < 420) %weapon3 = 116;  // ATC
  if(%temp1 >= 420 && %temp1 < 450) %weapon3 = 117;  // HATC
  if(%temp1 >= 450 && %temp1 < 480) %weapon3 = 118;  // EMATC
  if(%temp1 >= 480 && %temp1 < 510) %weapon3 = 119;  // Blast Cannon
  if(%temp1 >= 510 && %temp1 < 540) %weapon3 = 121;  // Rail Gun
  if(%temp1 >= 540 && %temp1 < 570) %weapon3 = 124;  // Pit Viper 8
  if(%temp1 >= 570 && %temp1 < 600) %weapon3 = 125;  // Pit Viper 12
  if(%temp1 >= 600 && %temp1 < 630) %weapon3 = 126;  // Sparrow 6
  if(%temp1 >= 630 && %temp1 < 660) %weapon3 = 127;  // Sparrow 10
  if(%temp1 >= 660 && %temp1 < 690) %weapon3 = 128;  // Swarm 6
  if(%temp1 >= 690 && %temp1 < 720) %weapon3 = 129;  // Minion
  if(%temp1 >= 720 && %temp1 < 750) %weapon3 = 130;  // Shrike 8
  if(%temp1 >= 750 && %temp1 < 780) %weapon3 = 131;  // Arachnitron 4
  if(%temp1 >= 780 && %temp1 < 810) %weapon3 = 132;  // Arachnitron 8
  if(%temp1 >= 810 && %temp1 < 840) %weapon3 = 133;  // Arachnitron 12
  if(%temp1 >= 840 && %temp1 < 870) %weapon3 = 134;  // HHG 6
  if(%temp1 >= 870 && %temp1 < 900) %weapon3 = 135;  // HHG 10
  if(%temp1 >= 900 && %temp1 < 930) %weapon3 = 136;  // Proximity Mine 15
  if(%temp1 >= 930 && %temp1 < 960) %weapon3 = 142;  // Rad Gun
  if(%temp1 >= 960 && %temp1 < 990) %weapon3 = 147;  // Aphid
  if(%temp1 >= 990 && %temp1 < 995) %weapon3 = 150;  // Smart Gun
  if(%temp1 >= 995 && %temp1 <= 1000) %weapon3 = 0;  // None
}


defaultWeapons( %weapon1, %weapon2, %weapon3);

// defaultWeapons(   104,                133,                            133);
defaultMountables(133,                225,             806,              927,            426,                    812,           830,              885);
